function init()
	gun.name = "Shotgun Bulwark"
	gun.fireDelay = 2500
	gun.shotrange = 600
	gun.shotspeed = 800
	--gun.shotdamage = 1.2--distributed amount all shots
	gun.shotdamage = .8--overridden
	gun.shotknockback = 9000
	gun.burstDelay = 350
	
	gun.enabledoppler = 1--so the arcs don't get messed up
	
	--gun.firecost = .75
	return 0
end


function update()
	return 0
end


function fire()
	
	--fire a number of shots
	rad = 2				--the radius in number of shots
	spread = 15			--the radius in degrees, centered on theta
	for i = -rad, rad do
		gun.addShot("shot8.png", gun.firex, gun.firey, gun.firetheta)
		shot.movrot = gun.firetheta + i*(spread/rad)
		shot.fadeTime = 100
		shot.skipLuaUpdate = 0
	end
	
	--kick the owner back
	--gun.owner.add_force(gun.firetheta + 180, 400)--pretty fancy/convoluted tech here, just FYI.
	
	gun.sfx("gun_pew1.wav", gun.firex, gun.firey)

	return 0
end

function shot_update()
	shot.scale = (shot.lifetimer / shot.lifetimerMax) * 2
	
	return 0
end